## Package org.jdom

Class Summary
Attribute: `Attribute` defines behavior for an XML attribute, modeled in Java.
CDATA: `CDATA` represents character-based content within an XML document represented by JDOM.
Comment: `Comment` defines behavior for an XML comment, modeled in Java.
DocType: `DocType` represents an XML DOCTYPE declaration.
Document: `Document` defines behavior for an XML Document, modeled in Java.
Element: `Element` defines behavior for an XML element, modeled in Java.
EntityRef: `EntityRef` Defines an XML entity reference in Java.
Namespace: `Namespace` defines both a factory for creating XML namespaces, and a namespace itself.
ProcessingInstruction: `ProcessingInstruction` defines behavior for an XML processing instruction, modeled in Java.
Text: `Text` represents character-based content within an XML document represented by JDOM.
Verifier: `Verifier` handles XML checks on names, data, and other verification tasks for JDOM.

Exception Summary
DataConversionException: `DataConversionException` is thrown when a requested XML value is requested to be converted, and conversion fails.
IllegalAddException: `IllegalAddException` is thrown when trying to add a illegal object to a JDOM construct.
IllegalDataException: `IllegalDataException` is thrown when illegal text is supplied to a JDOM construct.
IllegalNameException: `IllegalNameException` is thrown when a name is supplied in construction, etc., of a JDOM construct, and that name breaks XML naming conventions.
IllegalTargetException: `IllegalTargetException` is thrown when a target is supplied in construction, etc., of a JDOM ``ProcessingInstruction``, and that name breaks XML naming conventions.
JDOMException: `JDOMException`

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.